// Package api implements the units API.
package api

import (
	"context"
	"strings"
)

// UnitsAPI implements the units web ui.
type UnitsAPI struct {
}

// GetIndex implements the main page.
func (ua UnitsAPI) GetIndex(_ context.Context, _ GetIndexRequestObject) (GetIndexResponseObject, error) {
	body := `<html>
<head>
    <script defer src="https://cdn.jsdelivr.net/npm/alpinejs@3.x.x/dist/cdn.min.js"></script>
</head>
<body>
    <h1 x-data="{ message: 'I ❤️ Alpine' }" x-text="message"></h1>
</body>
</html>`
	response := GetIndex200TexthtmlCharsetUtf8Response{
		Body:          strings.NewReader(body),
		ContentLength: int64(len(body)),
	}
	return response, nil
}
